List automations
curl --request GET \
--url https://api.quiva.ai/m365/mail/automations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/m365/mail/automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/m365/mail/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/m365/mail/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/m365/mail/automations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiva.ai/m365/mail/automations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/m365/mail/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"filings": [
{
"id": "<string>",
"kind": "filter",
"name": "<string>",
"space_id": "<string>",
"folder": "<string>",
"entity_type": "<string>",
"entity_folder": "<string>",
"addresses": [
"<string>"
],
"domains": [
"<string>"
],
"subjects": [
"<string>"
],
"attachments": true,
"then": {
"type": "agent",
"prompt": "<string>",
"flow_subject": "<string>",
"user_ids": [
"<string>"
]
},
"run_on_import": true,
"mailbox_user_id": "<string>",
"mailbox_display_name": "<string>",
"created_by": "<string>",
"state": "active",
"stopped": {
"reason": "<string>",
"at": "2023-11-07T05:31:56Z"
},
"backfill": {
"since": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"done_at": "2023-11-07T05:31:56Z",
"expected": 123,
"filed": 123,
"skipped": 123,
"seen": 123
},
"last_filed_at": "2023-11-07T05:31:56Z",
"filed_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Mail automations
List automations
The caller’s own automations. With flow=<flow subject>, every automation in the account that starts that flow.
GET
/
m365
/
mail
/
automations
List automations
curl --request GET \
--url https://api.quiva.ai/m365/mail/automations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/m365/mail/automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/m365/mail/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/m365/mail/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/m365/mail/automations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiva.ai/m365/mail/automations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/m365/mail/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"filings": [
{
"id": "<string>",
"kind": "filter",
"name": "<string>",
"space_id": "<string>",
"folder": "<string>",
"entity_type": "<string>",
"entity_folder": "<string>",
"addresses": [
"<string>"
],
"domains": [
"<string>"
],
"subjects": [
"<string>"
],
"attachments": true,
"then": {
"type": "agent",
"prompt": "<string>",
"flow_subject": "<string>",
"user_ids": [
"<string>"
]
},
"run_on_import": true,
"mailbox_user_id": "<string>",
"mailbox_display_name": "<string>",
"created_by": "<string>",
"state": "active",
"stopped": {
"reason": "<string>",
"at": "2023-11-07T05:31:56Z"
},
"backfill": {
"since": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"done_at": "2023-11-07T05:31:56Z",
"expected": 123,
"filed": 123,
"skipped": 123,
"seen": 123
},
"last_filed_at": "2023-11-07T05:31:56Z",
"filed_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}